Bug 170718 - [MAINTAINER] games/blockrage: Makefile changed, Port require always DATA
Summary: [MAINTAINER] games/blockrage: Makefile changed, Port require always DATA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 01:00 UTC by nemysis
Modified: 2012-08-21 06:20 UTC (History)
0 users

See Also:


Attachments
blockrage-0.2.3_1.patch (965 bytes, patch)
2012-08-18 01:00 UTC, nemysis
no flags Details | Diff
blockrage.diff (998 bytes, patch)
2012-08-20 20:48 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 01:00:19 UTC
Makefile changed:

Deleted why Port require always DATA

-OPTIONS_DEFINE= DATA
-OPTIONS_DEFAULT=        DATA

Here works better NOPORTDATA

-.if ${PORT_OPTIONS:MDATA}
+.if !defined (NOPORTDATA)


Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Jason Helfman freebsd_committer 2012-08-18 06:48:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-21 06:19:03 UTC
Author: jgh
Date: Tue Aug 21 05:18:53 2012
New Revision: 302841
URL: http://svn.freebsd.org/changeset/ports/302841

Log:
  - port requires data
  
  PR:	170718
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/blockrage/Makefile

Modified: head/games/blockrage/Makefile
==============================================================================
--- head/games/blockrage/Makefile	Tue Aug 21 04:56:41 2012	(r302840)
+++ head/games/blockrage/Makefile	Tue Aug 21 05:18:53 2012	(r302841)
@@ -7,18 +7,15 @@
 
 PORTNAME=	blockrage
 PORTVERSION=	0.2.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	Block Rage is falling blocks game with a 2-player hotseat mode
+COMMENT=	Falling blocks game with 2-player hotseat mode
 
 LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	DATA
-OPTIONS_DEFAULT=	DATA
-
 GNU_CONFIGURE=	yes
 ALL_TARGET=	${PORTNAME}
 USE_SDL=	sdl image mixer
@@ -47,13 +44,11 @@ post-install:
 	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MAN6PREFIX}/man/man6
 
 # Data
-.if ${PORT_OPTIONS:MDATA}
 .  for d in data blockrage-fhs.rc blockrage.cfg blockrage.rc
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
 .  endfor
-.endif
 
-# Documentations
+# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .  for f in ${PORTDOCS}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-21 06:19:09 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!